Subject: bug#7877: sleep takes undocumented hex args

From: Jim Meyering <[email-masked]>
Date: Fri, 21 Jan 2011 14:05:41 +0100

[email-masked] wrote:
> You see I was trying to make very special arguments to sleep so that I
> can make sure to kill the one I want
>     pkill -u jidanni -fx sleep\ 000022
> It is not clear if that will still work. Maybe the man/info page should
> say a regexp that matches all valid args.

BTW, reading the manual I spotted a small problem.
Here's the fix:

>From 2e8de846204e36a5876d00605caf7457a79fb552 Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Fri, 21 Jan 2011 14:02:27 +0100
Subject: [PATCH] doc: fix wording in warning about potential conflict with built-in

* doc/coreutils.texi (mayConflictWithShellBuiltIn): Fix wording.
---
 doc/coreutils.texi |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/doc/coreutils.texi b/doc/coreutils.texi
index 8a1b3b6..746ab8c 100644
--- a/doc/coreutils.texi
+++ b/doc/coreutils.texi
@@ -624,7 +624,7 @@ Common options
 @macro mayConflictWithShellBuiltIn{cmd}
 @cindex conflicts with shell built-ins
 @cindex built-in shell commands, conflicts with
-Due to shell aliases and built-in @command{\cmd\} command, using an
+Due to shell aliases and built-in @command{\cmd\} functions, using an
 unadorned @command{\cmd\} interactively or in a script may get you
 different functionality than that described here.  Invoke it via
 @command{env} (i.e., @code{env \cmd\ @dots{}}) to avoid interference
--
1.7.3.5